scan_xlonglong(3)

NAME
scan_xlonglong - parse an unsigned long long integer in hexadecimal ASCII representation

SYNTAX
#include <libowfat/scan.h> size_t scan_xlonglong(const char *src,unsigned long long* dest);

DESCRIPTION
scan_xlonglong parses an unsigned long long integer in hexadecimal ASCII representation from src and writes the result into dest. It returns the number of bytes read from src. scan_xlonglong understands both upper and lower case letters. scan_xlonglong does not expect or understand a "0x" prefix.

SEE ALSO
fmt_xlonglong(3)